Subject: [tsvwg] Question about structure of “draft-ietf-tsvwg-natsupp-07.txt"

From: Gorry Fairhurst <[email-masked]>
Date: Sat, 21 Mar 2015 16:46:15 +0000

Comments on “draft-ietf-tsvwg-natsupp-07.txt"

I have one major comment on the document as WG Chair, and some minor comments given in the next email (of course individual comments).

My major comment is that although I am really pleased this is readable and ties together the hosts and network interaction, I suggest it is a little hard as a NAT implementor to really understand what you need to put in your product. I’d be disappointed if this remains the case, since these are exactly the audience that needs to do something to increase deployability of SCTP. Some way needs to be found to point people to the correct areas that need them to take a`action.

One way this could be achieved, could be to make sure paragraphs trie to talk exclusively about host or NAT parts of the protocol. In some cases it would even be possible to make subsections to separate the text (but probably not always?).

If it were possible to do the above, then it would seem feasible and quite helpful to make a summary table pointing NAT implementors to the specific sections were there are things that need to be implemented to support SCTP. Such a list could also serve as a checklist for any implementor.

Best wishes,

Gorry